<?php
/*
Plugin Name: Piwigo AutoUpgrade
Version: 2.1.l
Description: Upgrade your gallery automatically.
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=302
Author: P@t
Author URI: http://www.gauchon.com
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('AUTOUPDATE_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');

if (script_basename() == 'admin')
 add_event_handler('get_admin_plugin_menu_links', 'check_for_auto_upgrade');

function check_for_auto_upgrade($plugin_menu_links)
{
  global $template, $page, $conf, $header_notes, $prefixeTable;

  load_language('plugin.lang', dirname(__FILE__).'/');

  if ($page['page'] == 'intro')
  {
    if (isset($_GET['action']) and 
      ($_GET['action'] == 'check_autoupdate' or $_GET['action'] == 'check_upgrade' ))
    {
      unset($_SESSION['need_update']);
      unset($_SESSION['plugins_need_update']);
    }

    if (!isset($_SESSION['need_update']) or !isset($_SESSION['plugins_need_update'])
      or $_SESSION['need_update'] !== false or $_SESSION['plugins_need_update'] !== array())
    {
      $template->set_filename('autoupdate_head', realpath(AUTOUPDATE_PATH.'template/head.tpl'));
      array_push($header_notes, $template->parse('autoupdate_head', true));
    }
  }

  if ($page['page'] == 'plugins_update' and method_exists('template', 'set_prefilter'))
  {
    include(dirname(__FILE__).'/plugins_update.php');
  }

  array_push($plugin_menu_links, array(
      'NAME' => 'Piwigo AutoUpgrade',
      'URL' => get_admin_plugin_menu_link(AUTOUPDATE_PATH . '/autoupdate.php')));

  return $plugin_menu_links;
}
?>